Bug 641471 - Review Request: python26-mod_wsgi - A WSGI interface for Python web applications in Apache
Summary: Review Request: python26-mod_wsgi - A WSGI interface for Python web applicati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Thompson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 19:34 UTC by BJ Dierkes
Modified: 2010-11-12 16:50 UTC (History)
4 users (show)

Fixed In Version: python26-mod_wsgi-3.3-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-12 16:50:45 UTC
fedora: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description BJ Dierkes 2010-10-08 19:34:47 UTC
Spec URL: http://5dollarwhitebox.org/tmp/python26-mod_wsgi.spec
SRPM URL: http://5dollarwhitebox.org/tmp/python26-mod_wsgi-3.3-1.fc13.src.rpm

Description:

The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

This package is built against python26.


Note that the URL for Source0 seems to timeout occasionally resulting in a 404:

$ rpmlint -i SPECS/python26-mod_wsgi.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i /var/lib/mock/epel-5-x86_64/result/python26-mod_wsgi-3.3-1.el5.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Joe Orton 2010-10-09 15:46:20 UTC
Thanks BJ! I would expect this needs to "Conflict: mod_wsgi" since the directives will clash and they can't be used together, no?

Comment 2 BJ Dierkes 2010-10-09 17:29:25 UTC
There is currently a thread on the EPEL devel mailing list regarding just that.  

https://www.redhat.com/archives/epel-devel-list/2010-October/msg00043.html


Personally, I think it should explicitly 'Conflict: mod_wsgi' and I previously had the explicit conflicts in both python26-mod_wsgi and python26-mod_python... however the EPEL policy regarding this isn't exactly clear so there is some discrepancy.  Some people lean toward the Fedora policy which is to never explicitly conflict because it is confusing to the user.  I'm hoping to clarify it in the EPEL Sig meeting (#fedora-meeting) on Monday at 19:30 UTC.  You're welcome to provide your feedback on list or in the meeting.

Thank Joe.

Comment 3 Carl Thompson 2010-10-10 18:51:52 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
See below - Meets Packaging Guidelines.
See below - License
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
6172bb2bbabcd0c25867c2bc06f99dbb  mod_wsgi-3.3.tar.gz
6172bb2bbabcd0c25867c2bc06f99dbb  mod_wsgi-3.3.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
See below - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
 - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or
/usr/sbin

rpmlint python26-mod_wsgi-3.3-1.fc13.src.rpm 
python26-mod_wsgi.src: W: spelling-error %description -l en_US wsgi -> swig, wigs
python26-mod_wsgi.src: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
python26-mod_wsgi.src: W: invalid-url Source0: http://modwsgi.googlecode.com/files/mod_wsgi-3.3.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint -i python26-mod_wsgi-3.3-1.fc13.src.rpm 
python26-mod_wsgi.src: W: spelling-error %description -l en_US wsgi -> swig, wigs
The value of this tag appears to be misspelled. Please double-check.

python26-mod_wsgi.src: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
The value of this tag appears to be misspelled. Please double-check.

python26-mod_wsgi.src: W: invalid-url Source0: http://modwsgi.googlecode.com/files/mod_wsgi-3.3.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

The url is valid even if rpmlint says it isn't, confirmed manually

I like the approach of not putting it in Conflicts but using the conf file to ensure that both modules
are not loaded into apache simultaneously

Comment 4 BJ Dierkes 2010-10-11 21:54:41 UTC
New Package SCM Request
=======================
Package Name: python26-mod_wsgi
Short Description: A WSGI interface for Python web applications in Apache
Owners: derks
Branches: el5
InitialCC:

Comment 5 Tom "spot" Callaway 2010-10-13 15:17:07 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-10-27 16:19:03 UTC
python26-mod_wsgi-3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-mod_wsgi-3.3-1.el5

Comment 7 Fedora Update System 2010-10-27 19:09:08 UTC
python26-mod_wsgi-3.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-mod_wsgi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-mod_wsgi-3.3-1.el5

Comment 8 Fedora Update System 2010-11-12 16:50:40 UTC
python26-mod_wsgi-3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.